; * Fecha de vigencia de la informacion
*--------------------------------------------------------------*
*--------------------------------------------------------------*
[vigenciaVersion]
fecha=20/06/2017 11:33

*-----------------------------------------*
*  CLASIFICACION DE LOS TIPOS DE ERRORES  *
* ----------------------------------------*
[tipo]
01=ERROR
02=INFORMACION
03=PRECAUCION

*-------------------------------------*
*  Errores generales
*-------------------------------------*
[texto]
AA=EN EL ARCHIVO DE CONFIGURACION (MULTIEMPRESA)
AB=CREANDO ESTRUCTURA DE DIRECTORIOS (MULTIEMPRESA)
AC=METODO LECTURA BANDA
AD=NO EXISTE ARCHIVO DE CONFIGURACION
AE=ERROR AL LEER ARCHIVO DE CONFIGURACION
AF=ERROR AL ESCRIBIR ARCHIVO DE CONFIGURACION
AG=OPCION ACTIVA SIN SUB-OPCIONES ASOCIADAS
AH=AJUSTES PENDIENTES POR REALIZAR
AJ=TRANSACCION NO PERMITIDA
AK=TRANSACCION NO REGISTRADA
AL=ERROR CONSULTANDO ULTIMA TRANSACCION PROCESADA
AM=TIEMPO EXPIRADO PARA INTRODUCIR LOS DATOS
AO=OPERACION CANCELADA
AP=FALLO SERIALIZANDO UN OBJETO PARA SU PERSISTENCIA
AR=ERROR EN CONSTRUCCION DE FECHAS DE EXP. EN LLAVES PUBLICAS EMV.
AQ=FALLO DES-SERIALIZANDO UN OBJETO PARA SU USO
AU=NO EXISTE ARCHIVO DE CONTROL DE LA CAJA

AAC=TRANSACCION NEGADA POR LA TARJETA
TC=ACTUALMENTE NO SE MANEJAN APROBACIONES FUERA DE LINEA

*-------------------------------------*
*   Errores de Configuracion PinPad   *
*-------------------------------------*
BA=CONFIGURACION PUERTO [pinpad]
BB=CONFIGURACION VELOCIDAD [pinpad]
BC=CONFIGURACION PARIDAD [pinpad]
BD=ABRIENDO PUERTO
BE=ERROR OBTENIENDO DATOS PINPAD
BF=ERROR OBTENIENDO PINBLOCK
BG=CERRANDO PUERTO
BH=METODO OBTENER TRACK
BI=EN EL FORMATO
BJ=INICIO DE BANDA MAGNETICA
BK=AL ABRIR BANDA MAGNETICA
BL=TIMEOUT PARA EL INGRESO DE DATOS
BM=LECTURA BANDA MAGNETICA
BN=TIEMPO EXPIRADO PARA RECIBIR DATA DEL PINPAD
BO=INDEX DEL MASTER KEY SUMINISTRADO POR EL MERCHANT SERVER
BP=CREANDO EL OBJECTO MEGAPINPAD32
BQ=EN EL FORMATO DE LOS TRACK
BR=METODO CAPTURAR FIRMA
BS=ERROR CARGANDO LLAVES
B5=LONGITUD DE LLAVE NO CORRESPONDE CON METODO DE ENCRIPTACION DEFINIDO
B6=MODO DE ENCRIPTACION NO SOPORTADO
B7=CONFIGURACION BITS DE DATOS [pinpad]
B8=ERROR RESPUESTA EN COMANDO DEL CHIP DESCONOCIDA
B9=INTRODUZCA LA TARJETA POR EL LECTOR DE CHIP
B10=TRANSACCION CANCELADA. EL USUARIO ABORTO EL FLUJO
B11=TARJETA EXTRAIDA O NO PRESENTE DENTRO DEL LECTOR DE CHIP
B12=FALLA DE EJECUCION DE LA APLICACION EMV
B13=FALLA AL INICIO DE LA APLICACION EMV SELECCIONADA
B14=FALLA EN LA LECTURA DE LOS DATOS DEL CHIP
B15=FALLO EN LA LECTURA DE LA TARJETA. TARJETA NO CHIP
B16=FALLA SE ESPERABA LA SOLICITUD DE PIN
B20=PUERTO CONFIGURADO NO EXISTE
B30=ERROR EN NOTIFICACION DE CAMBIO DE PINPAD

*-------------------------------------*
*  Errores asociados a VposOLB
*-------------------------------------*
DOLBA=NO HAY SERVICIOS DEFINIDOS
DOLBB=SERVICIOS SOLICITADO NO DISPONIBLE
DOLBC=TRANSACCION CANCELADA, NO EXISTEN SERVICIOS
DOLBD=TIPO DE TARJETA NO CORRESPONDE CON ENTRADA
DOLBE=NO SE PUDE GENERAR VOUCHER DE SERVICIOS
DOLBF=FALLA EN SERVICIO OLB
DOLBG=MEDIO DE PAGO NO PERMITIDO

*-------------------------------------*
*  Errores de Compra Financiada       *
*-------------------------------------*
CFA=LA COMPRA CON EXTRAFINANCIAMIENTO NO ESTA ACTIVA
CFB=TARJETA NO ACEPTA ESTE TIPO DE TRANSACCIÓN.
CFC=SOLICITE LA TRANSACCION POR LA OPCIÓN COMPRA.
CFD=NO HAY COMPRA CON EXTRAFINANCIAMIENTO POR AUTORIZAR
CFE=FALLO EN LA CONSULTA DE COMPRA CON CUOTAS
CFF=TIEMPO EXPIRADO PARA CONTINUAR LA COMPRA CON FINANCIAMIENTO
CFG=FALLO EN ENVIO DE LAS CUOTAS DE CREDI-COMPRA

*-------------------------------------*
*  Errores de CLASIFICACION tarjeta   *
*-------------------------------------*
JA=BIN NO REGISTRADO
JB=BANDA DE TARJETA ERRADA

*-------------------------------------*
*  Errores de parametros de Entrada
*-------------------------------------*
DA=SECCION MULTIEMPRESA ACTIVA.PARAMETRO VTID NULO
DB=SECCION MULTIEMPRESA NO ACTIVA PASA PARAMETRO VTID
DC=PARAMETRO CUENTA ESPECIAL NO VALIDO
DD=TARJETA NO CORRESPONDE CON TRX O PARAMETRO ERRADO
DE=PARAMETRO TIPO DE CUENTA INVALIDO
DF=PASE DE PINPADIDX
DG=TIPO DE TARJETA NO EXISTE
DH=EN EL METODO
DI=TRANSACCION NO IMPLEMENTADA
DJ=TIPO INCORRECTO
DT=TIPO DE TARJETA NO CORRESPONDE CON ENTRADA

*-------------------------------------*
*   Errores de Construyo Request      *
*-------------------------------------*
EA=ARCHIVO DE CONFIGURACION (VTID)
EB=ARCHIVO DE CONFIGURACION (SEQNUM)
EC=TRANSACCION FALLIDA
ED=AL TRATAR DE REGISTRAR LA TRANSACCION (VPOSCONF.INI)
EE=TRANSACCION FALLIDA. LA MISMA YA FUE REVERSADA AUTOMATICAMENTE
EF=TRANSACCION FALLIDA. AL TRATAR DE ENVIAR REVERSO
EG=CODIGO DE TRANSACCION INVALIDO
EH=CONSTRUYENDO SOLICITUD ISO-MERCHANT
EI=PROCESANDO RESPUESTA ISO-MERCHANT
EJ=MENSAJE ISO-MERCHANT XML
EK=TRANSACCION FALLIDA EN LA CONFIRMACION DE LA TRANSACCION
EL=TRANSACCION FALLIDA REENVIANDO LA CONFIRMACION DE LA TRANSACCION ANTERIOR
VA=TIMEOUT MERCHANT SERVER
VB=ERROR REENVIANDO TRANSACCIONES DE PAGO OTROS MEDIOS
VK=INTERNO
VR=TRANSACCION FALLIDA AL TRATAR DE ENVIAR REVERSO
VT=PROBLEMAS EN EL AMBIENTE, NOTIFIQUE AL SOPORTE TECNICO
VS=FALLA DE COMUNICACION CON EL MERCHANT SERVER
VX=FALLA PINPAD. LA TRANSACCION SERA REVERSADA
VY=ERROR EN RESPUESTA DEL MS. LA TRANSACCION SERA REVERSADA
VZ=NO HAY RESPUESTA DEL HOST POR TRANSACCION DE CHIP

*-------------------------------------*
*   Errores de FORMATEO DE MONTOS     *
*-------------------------------------*
FA=ARCHIVO DE CONFIGURACION (MONEDA)
FB=FORMATEANDO MONTOS
FC=MONTO NO CUMPLE CON LOS SETTING DEL VPOSCONF.INI
FD=MONTO INVALIDO

*-------------------------------------*
*   Errores de Validación de Datos    *
*-------------------------------------*
GA=REVISE PARAMETROS DE ENTRADA ERRADOS
GB=USUARIO O PASSWORD INCORRECTO

*---------------------------------*
*  Errores de Conexion Socket     *
*---------------------------------*
HA=ERROR DE COMUNICACION SOCKET
HB=TIME OUT CONEXION SOCKET

*------------------------------------------*
*  Errores de Transacciones Manual Credito *
*------------------------------------------*
IA=SECCION MULTIEMPRESA ACTIVA NO PASA VTID
IB=SECCION MULTIEMPRESA NO ACTIVA PASA EL VTID
IC=EN EL METODO

*------------------------------------------*
*  Errores de impresion de voucher         *
*------------------------------------------*
KA=ERROR GENERANDO REPORTE DE CIERRE
KB=NO SE HA GENERADO EL ARCHIVO DE CIERRE DE CAJA
KC=ERROR GENERANDO REPORTE DE MESEROS
KD=NO EXISTEN TRANSACCIONES

*-------------------------------------*
*   Errores de Captura de Firma		  *
*-------------------------------------*
KE=NOMBRE DE ARCHIVO INVALIDO
KF=ERROR LEYENDO IMAGEN

*--------------------------------------------*
*   Mensajes de generacion del archivo IA17   *
*--------------------------------------------*
KIA0=ERROR EN GENERACION DEL ARCHIVO FISCAL (IA17).
KIA1=ARCHIVO FISCAL (IA17) GENERADO.

*------------------------------------------*
*  Errores de creacion de directorios      *
*------------------------------------------*
LA=NO SE HA DEFINIDO EN VPOSCONF.INI PATH PARA VOUCHER

*------------------------------------------*
*  Errores de creacion de IdlePrompt       *
*------------------------------------------*
MA=CONFIGURACION PUERTO [pinpad] (VPOSCONF.INI)
MB=CONFIGURACION VELOCIDAD [pinpad] (VPOSCONF.INI)
MC=CONFIGURACION PARIDAD [pinpad] (VPOSCONF.INI)
MD=ABRIENDO PUERTO
ME=IDLEPROMPTN GENERADO CORRECTAMENTE
MF=MENSAJE NO PUEDE SER MAYOR DE 16 CARACTERES
MG=MENSAJE DEBE TENER AL MENOS UN CARACTER
MH=MANEJO DE MENSAJES POR PANTALLA DEL PINPAD

*------------------------------------------*
*  Errores en validacion de datos de
*  transacciones de anulación
*------------------------------------------*
MI=ULT 4 NROS DE TARJETA NO COINCIDEN
MJ=NRO NO COINCIDE CON EL DE LA TRANSACCION ORIG
MK=LAS CLAVES NO COINCIDEN
ML=IDENTIFICACION DE EMPRESA O NUMERO DE SECUENCIA INVALIDOS
MM=ANULACION NO PERMITIDA
MN=NUMERO DE AUTORIZACION NO COINCIDE CON ORIG

*------------------------------------------*
*    Errores Generales
*------------------------------------------*
NA=8000	ABRIENDO EL PUERTO
NB=8001	TIMEOUT DEBE SER MAYOR QUE CERO
NC=8002	NUMERO DE PUERTO INVALIDO
ND=8003	PROPIEDAD DISPONIBLE EN RUNTIME
NE=8004	PROPIEDAD DE LECTURA SOLO EN TIEMPO DE RUNTIME
NF=8005	PUERTO ABIERTO
NG=8006	IDENTIFICACION DEL DISPOSITIVO INVALIDO
NH=8007	EN EL VALOR DE BAUDIOS
NI=8008	NUMERO DE BYTES INVALIDO
NJ=8009	EN PARAMETRO POR DEFECTO
NK=8010	HARDWARE NO ESTA DISPONIBLE
NL=8011	PERIFERICO
NM=8012	NO SE PUDO ESTABLECER COMUNICACION CON EL PINPAD
NN=8013	YA ESTA ABIERTA LA COMUNICACION CON EL PINPAD
NO=8014	COULD NOT ENABLE COMM NOTIFICATION
NP=8015	COULD NO SET COMM STATE
NQ=8016	COULD NO SET COMM EVENT MASK
NR=8018	OPERACION VALIDA CUANDO EL PUERTO ESTA ABIERTO
NS=8019	DISPOSITIVO OCUPADO
NT=8020	LEYENDO EL DISPOSITIVO COMM
NV=8999	EN EL METODO ABRIR PUERTO

*-------------------------------------*
*    Printer Voucher
*-------------------------------------*
OA=IMPRIMIENDO VOUCHER
OB=PATH DEL VOUCHER A IMPRIMIR
OC=VOUCHER A IMPRIMIR NO EXISTE
OD=TIMEOUT IMPRIMIENDO VOUCHER
OE=IMPRIMIENDO VOUCHER
OF=IMPRESORA SIN PAPEL
OG=ERROR EN TRANSF DE RECIBO
OH=ERROR GENERANDO ARCHIVO DE RECIBO.

*-------------------------------------*
*    Test
*-------------------------------------*
PA=PROCESADO CON EXITO
PB=PROCESANDO EL TEST

*-------------------------------------*
*    metodo de logon
*-------------------------------------*
VL=TRANSACCION FALLIDA

*-------------------------------------*
*   Errores en Lectura de Cheque      *
*-------------------------------------*
SA=EN LECTURA DE CHEQUE. INTENTE NUEVAMENTE
SB=TIEMPO EXPIRADO PARA RECIBIR DATA DEL LECTOR
SC=CONFIGURACION PUERTO [checkread]
SD=CONFIGURACION VELOCIDAD [checkread]
SE=CONFIGURACION PARIDAD [checkread]
SG=METODO LECTURA CHEQUE
SH=ADQUIRIENTE NO VALIDO


*-------------------------------------*
*   Errores por tipo de BioPago       *
*-------------------------------------*
00=APROBADO
BIO0=PLATAFORMA BIOPAGO NO ESTA DISPONIBLE
BIO1=PROBLEMAS DE INSTALACION DE PLATAFORMA BIOPAGO
BIO2=PROBLEMAS DE COMUNICACION PLATAFORMA CLIENTE DE BIOPAGO 
BIO3=FALLA DE COMUNICACION CON LA PLATAFORMA HOST DE BIOPAGO

BIO4=ERROR EN PARAMETROS SOLICITADOS POR BIOPAGO
BIO5=PRODUCTO A UTILIZAR NO REGISTRADO

BIOO6=TRANSACCION BIOPAGO EN PROCESO
BIO7=NO HAY TRANSACCION BIOPAGO EN PREOCESO
BIO8=FALLO EN LA EJECUCION DE LA TRANSACCION BIOPAGO
BIO9=TRANSACCION SIN REPUESTA
BIO10=TRANSACCION RECHAZADA POR PLATAFORMA BIOPAGO
BIO11=TRANSACCION NO ENCONTRADA

BIO12=LECTOR DE HUELLAS NO ESTA AUTORIZADO
BIO13=LECTOR DE HUELLAS NO ESTA DISPONIBLE
BIO14=NO SE PUDO ESTABLECER COMUNICACION CON EL LECTOR DE HUELLAS
BIO15=FALLA EN EL LECTOR DE HUELLAS AL CAPTURAR LA HUELLA
BIO16=CAPTURA DE HUELLA CANCELADA
BIO17=TIMEOUT EJECUCION TRANSACCION FINANCIERA
BIO19=USUARIO NO AUTORIZADO

*-------------------------------------*
*   Errores del Merchant Server       *
*-------------------------------------*
X1=Merchant Inactivo
X2=Exceeds MaxAmount limit defined in Groups Table
X3=Anulacion ya aprobada
X5=SeqNum ya existe en Batch para este VTID
X6=Failed to connect DB during Transaction
XA=Error en sistema Merchant
XB=Error de comando
XC=Error de comunicacion
XD=Terminal o Payment no disponible
XE=TID it has a pending Settlement Transaction.
XF=Transaccion invalida para el adquiriente
XG=Invalid referred transaction
XH=Error de configuracion
XI=Error en Track II
XJ=PreAuthorization already fit
XK=VTID sin Hsm MasterKey asociada
XL=El Bin no corresponde con el TransCode
XM=PROMOCION NO DISPONIBLE. UTILICE OTRO FINANCIAMIENTO
XN=Error de comunicacion con HSM
XP=HSM Pin Related Error.
XQ=Trx con PAN o CID registrada en la tabla BlackList
XR=Reverso no Aprobado
XS=Connector/Acquirer Communication Error
XT=Pin Translation Error.
XX=Issuer Merchant Error
XU=VTerminal Blocked
XV=Adjustment Amount is not between the allowed limits
XW=AcqID(Iso 32) no esta definido para el payment

*-------------------------------------*
*   Errores por tipo de PINpad        *
*-------------------------------------*
[verifone]
01=FALLA EN LA EJECUCION DE LA APLICACION
A1=FALLA DE SELECCION DE LA APLICACION. AID SELECCIONADO BLOQUEADO
B1=FALLA DE SELECCION DE LA APLICACION. TARJETA EMV BLOQUEADA
02=FALLA EN LA EJECUCION DEL INICIO DE LA APLICACION EMV
03=FALLA EN LA EJECUCION DE LA LECTURA DE LOS DATOS
05=TRANSACCION CANCELADA. EL USUARIO ABORTO EL FLUJO
06=TARJETA EXTRAIDA DEL LECTOR O NO PRESENTE
08=FALLO EN LA EJECUCION DEL GEN AC (COMANDO APDU 6985)
10=FALLA DE PROCESAMIENTO DEL COMANDO APDU AUTENTICACION EXTERNA
70=ERROR EN FORMATO DE LECTURA
73=ERROR DE TIMEOUT EN LA EJECUCION DE UN COMANDO
76=ERROR EN MONTO TRANSACCION O MONTO ADICIONAL
09=TRANSACCION CANCELADA. TIEMPO DE ESPERA PIN FUERA DE LINEA AGOTADO
A3=FALLA EN LA EJECUCION DE LA LECTURA DE LOS DATOS
80=ERROR INICIO TARJETA CHIP EMV
